Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.deployment
Class AbstractKernelDeployment

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.kernel.plugins.deployment.AbstractKernelDeployment

All Implemented Interfaces:
  Cloneable, org.jboss.util.JBossInterface, KernelDeployment

public class AbstractKernelDeployment
extends org.jboss.util.JBossObject
implements KernelDeployment

An abstract kernel deployment.

Version:
  $Revision: 1.6 $
Author:
  Adrian Brock

Field Summary
`protected List` | `beans` The beans List
`protected ClassLoaderMetaData` | `classLoader` The ClassLoader
`protected boolean` | `installed` Whether it is installed
`protected List` | `installedContexts` The installed contexts
`protected String` | `name` The name of the deployment

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractKernelDeployment()` Create a new kernel deployment

Method Summary
`void` | `addInstalledContext(KernelControllerContext context)` Add an installed context
`List` | `getBeans()` Get the beans in the deployment
`ClassLoaderMetaData` | `getClassLoader()` Get the classloader for this deployment
`List` | `getInstalledContexts()` Get the installed contexts
`String` | `getName()` Get the name of the deployment
`boolean` | `isInstalled()` Whether the deployment is installed
`void` | `removeInstalledContext(KernelControllerContext context)` Remove an installed context
`void` | `setBeans(List beans)` Set the beans.
`void` | `setClassLoader(ClassLoaderMetaData classLoader)` Set the classloader
`void` | `setInstalled(boolean installed)` Set the intalled state
`void` | `setName(String name)` Set the name of the deployment
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### name

    protected String name

  The name of the deployment

### installed

    protected boolean installed

  Whether it is installed

### installedContexts

    protected List installedContexts

  The installed contexts

### beans

    protected List beans

  The beans List

### classLoader

    protected ClassLoaderMetaData classLoader

  The ClassLoader

Constructor Detail

### AbstractKernelDeployment

    public AbstractKernelDeployment()

  Create a new kernel deployment

Method Detail

### setBeans

    public void setBeans(List beans)

  Set the beans.

  Parameters:
    `beans` - a List.

### getName

    public String getName()

  Description copied from interface: `KernelDeployment`
  Get the name of the deployment

  Specified by:
    `getName` in interface `KernelDeployment`
  Returns:
    the name

### setName

    public void setName(String name)

  Description copied from interface: `KernelDeployment`
  Set the name of the deployment

  Specified by:
    `setName` in interface `KernelDeployment`
  Parameters:
    `name` - the name

### isInstalled

    public boolean isInstalled()

  Description copied from interface: `KernelDeployment`
  Whether the deployment is installed

  Specified by:
    `isInstalled` in interface `KernelDeployment`
  Returns:
    true when installed

### setInstalled

    public void setInstalled(boolean installed)

  Description copied from interface: `KernelDeployment`
  Set the intalled state

  Specified by:
    `setInstalled` in interface `KernelDeployment`
  Parameters:
    `installed` - true when installed

### addInstalledContext

    public void addInstalledContext(KernelControllerContext context)

  Description copied from interface: `KernelDeployment`
  Add an installed context

  Specified by:
    `addInstalledContext` in interface `KernelDeployment`
  Parameters:
    `context` - the context to add

### getInstalledContexts

    public List getInstalledContexts()

  Description copied from interface: `KernelDeployment`
  Get the installed contexts

  Specified by:
    `getInstalledContexts` in interface `KernelDeployment`
  Returns:
    the installed contexts

### removeInstalledContext

    public void removeInstalledContext(KernelControllerContext context)

  Description copied from interface: `KernelDeployment`
  Remove an installed context

  Specified by:
    `removeInstalledContext` in interface `KernelDeployment`
  Parameters:
    `context` - the context to add

### getBeans

    public List getBeans()

  Description copied from interface: `KernelDeployment`
  Get the beans in the deployment

  Specified by:
    `getBeans` in interface `KernelDeployment`
  Returns:
    List

### getClassLoader

    public ClassLoaderMetaData getClassLoader()

  Description copied from interface: `KernelDeployment`
  Get the classloader for this deployment

  Specified by:
    `getClassLoader` in interface `KernelDeployment`
  Returns:
    the classloader

### setClassLoader

    public void setClassLoader(ClassLoaderMetaData classLoader)

  Set the classloader

  Parameters:
    `classLoader` - the classloader metadata

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.